SYNC(2)

NAME
sync - commit buffer cache to disk.

SYNOPSIS
#include <unistd.h>

int sync(void);

DESCRIPTION
sync first commits inodes to buffers, and then buffers to disk.

RETURN VALUE
sync always returns 0.

CONFORMING TO
SVr4, SVID, X/OPEN, BSD 4.3

BUGS
According to the standard specification (e.g., SVID), sync() schedules the writes, but may return before the actual writing is done. However, since version 1.3.20 Linux does actually wait. (This still does not guarantee data integrity: modern disks have large caches.)

SEE ALSO
bdflush(2), fsync(2), fdatasync(2), update(8), sync(8)